"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const svgo_1 = __importDefault(require("svgo"));
const optimizer = new svgo_1.default();
async function optimizeSVG(svg) {
    try {
        const optimized = await optimizer.optimize(svg);
        return optimized.data;
    }
    catch (e) {
        console.error(`Could not optimize SVG, Error: ${JSON.stringify(e)}`);
        return "";
    }
}
exports.optimizeSVG = optimizeSVG;
//# sourceMappingURL=optimize.js.map