"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = __importDefault(require(".."));
const path_1 = require("path");
const fs_1 = require("../fs");
class Test {
    constructor(testCase) {
        this.testCase = testCase;
    }
    async run() {
        const { file, numberOfPrimitives, blur, mode, name } = this.testCase;
        const { input, output } = await __1.default(file, numberOfPrimitives, blur, mode);
        const base = path_1.join(path_1.dirname(path_1.resolve(file)), "src", "tests", "results", name);
        const writes = [
            { path: base + ".svg", content: output.svg, size: output.svgSize },
            {
                path: base + ".base64.txt",
                content: output.base64,
                size: output.base64Size
            }
        ];
        await Promise.all(writes.map(async (w) => fs_1.writeFile(w.path, w.content)));
        console.log(`
  Testing sqipify on: ${file}
    Input: ${JSON.stringify(input)}
    Outputs: ${JSON.stringify(writes.map(({ path, size }) => ({ path, size })))}`);
    }
}
exports.Test = Test;
//# sourceMappingURL=test.js.map